[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH][2/5] Fail the build unless libSDL is installed.



Fail the build unless libSDL is installed.

Signed-off-by: Arun Sharma <arun.sharma@xxxxxxxxx>

diff -r a7b2638827fa -r be004ea3a553 tools/check/check_sdl_lib
--- /dev/null   Thu Jun 30 19:25:19 2005
+++ b/tools/check/check_sdl_lib Thu Jun 30 20:29:39 2005
@@ -0,0 +1,10 @@
+#!/bin/bash
+# CHECK-BUILD CHECK-INSTALL
+
+function error {
+        echo 'Check for SDL library failed.'
+        exit 1
+}
+
+set -e
+ldconfig -p | grep libSDL-.*so || error

_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.